Subject: RE: bug#26236: 24.5; Info manual: need better index entry for node "`1'-`9' choose a menu subtopic by its number"

From: Drew Adams <[email-masked]>
Date: Sat, 25 Mar 2017 07:08:35 -0700 (PDT)

> > In the Info manual, please provide more and better index entries for
> > this node.  A user should be able to find it using `i menu TAB'.
> 
> Done.  You can now use any of
>  i menu RET
>  i star RET
>  i 3 RET
>  i third RET
>  i 6 RET
>  i sixth RET
> to get to the "Choose menu subtopic" node.

Thanks.

> > 2. Using `i menu TAB' you can get to node `Menus and the ‘m’
> > command' (which should be named `Menus and the ‘m’ Command').  But
> > from that node you cannot get to node ``1'-`9' choose a menu
> > subtopic by its number'.  Each of these nodes should have a
> > cross-reference to the other.  The first of these nodes purports
> > to be the main node about menus.  It should link to other nodes
> > that talk about using menus.
> 
> I don't see why adding cross-references in that node would be a good
> idea.  That node is part of the "quick tour" section of the manual,
> and as such it should not risk inadvertently showing to the reader
> "advanced" features she didn't yet have chance reading about.

It's also the main node you get to from `i menu'.  There's
nothing wrong with cross-referencing some "advanced"
information from a "tour" node, as long as it is identified
as such.

I also mentioned an xref in the other direction.  Link to
general info about the menu and using `m', from the node
about using 1-9.

> > 3. The index entry `select N’th menu item' should use "Nth", not
> > "N’th".
> 
> I don't understand why.  I left that alone.

Because it is not how nth is written in English.  Or in
Emacs, for that matter.

> > 4. This node name, and some other node names in the manual, should use
> > title case, not sentence case.  E.g. `1'-`9' Choose a Menu Subtopic By
> > its Number".  (That title is anyway not so good.  Put the 1-9 at the
> > end, and remove the quotes.)
> 
> These are not node names, they are section/subsection names.

OK.  They are menu items, or menu-item descriptions.

> This manual seems to have a consistent style regarding these names,
> and I don't see why we should change its convention by another.

How is it consistent regarding these menu items/descriptions?
Some of them use title case and some use sentence case - in
the same menu.

Anyway, if you took care of #1 then thank you for that.